// Code generated by MockGen. DO NOT EDIT.
// Source: kubernetes/helmWrapper.go
//
// Generated by this command:
//
//	mockgen -source=kubernetes/helmWrapper.go -destination=bdd/mocks/helm.go -package=mocks
//

// Package mocks is a generated GoMock package.
package mocks

import (
	reflect "reflect"

	gomock "go.uber.org/mock/gomock"
	action "helm.sh/helm/v3/pkg/action"
	chart "helm.sh/helm/v3/pkg/chart"
	release "helm.sh/helm/v3/pkg/release"
)

// MockHelmClientWrapper is a mock of HelmClientWrapper interface.
type MockHelmClientWrapper struct {
	ctrl     *gomock.Controller
	recorder *MockHelmClientWrapperMockRecorder
}

// MockHelmClientWrapperMockRecorder is the mock recorder for MockHelmClientWrapper.
type MockHelmClientWrapperMockRecorder struct {
	mock *MockHelmClientWrapper
}

// NewMockHelmClientWrapper creates a new mock instance.
func NewMockHelmClientWrapper(ctrl *gomock.Controller) *MockHelmClientWrapper {
	mock := &MockHelmClientWrapper{ctrl: ctrl}
	mock.recorder = &MockHelmClientWrapperMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockHelmClientWrapper) EXPECT() *MockHelmClientWrapperMockRecorder {
	return m.recorder
}

// GetRelease mocks base method.
func (m *MockHelmClientWrapper) GetRelease(relName string, getResourceInfo bool) (*release.Release, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetRelease", relName, getResourceInfo)
	ret0, _ := ret[0].(*release.Release)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetRelease indicates an expected call of GetRelease.
func (mr *MockHelmClientWrapperMockRecorder) GetRelease(relName, getResourceInfo any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetRelease", reflect.TypeOf((*MockHelmClientWrapper)(nil).GetRelease), relName, getResourceInfo)
}

// InjectClient mocks base method.
func (m *MockHelmClientWrapper) InjectClient(actionConfig *action.Configuration) {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "InjectClient", actionConfig)
}

// InjectClient indicates an expected call of InjectClient.
func (mr *MockHelmClientWrapperMockRecorder) InjectClient(actionConfig any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "InjectClient", reflect.TypeOf((*MockHelmClientWrapper)(nil).InjectClient), actionConfig)
}

// InstallRelease mocks base method.
func (m *MockHelmClientWrapper) InstallRelease(relName string, chart *chart.Chart, vals map[string]any) (*release.Release, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "InstallRelease", relName, chart, vals)
	ret0, _ := ret[0].(*release.Release)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// InstallRelease indicates an expected call of InstallRelease.
func (mr *MockHelmClientWrapperMockRecorder) InstallRelease(relName, chart, vals any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "InstallRelease", reflect.TypeOf((*MockHelmClientWrapper)(nil).InstallRelease), relName, chart, vals)
}

// UninstallRelease mocks base method.
func (m *MockHelmClientWrapper) UninstallRelease(relName string) (*release.UninstallReleaseResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UninstallRelease", relName)
	ret0, _ := ret[0].(*release.UninstallReleaseResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// UninstallRelease indicates an expected call of UninstallRelease.
func (mr *MockHelmClientWrapperMockRecorder) UninstallRelease(relName any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UninstallRelease", reflect.TypeOf((*MockHelmClientWrapper)(nil).UninstallRelease), relName)
}

// UpgradeRelease mocks base method.
func (m *MockHelmClientWrapper) UpgradeRelease(relName string, chart *chart.Chart, vals map[string]any) (*release.Release, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpgradeRelease", relName, chart, vals)
	ret0, _ := ret[0].(*release.Release)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// UpgradeRelease indicates an expected call of UpgradeRelease.
func (mr *MockHelmClientWrapperMockRecorder) UpgradeRelease(relName, chart, vals any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpgradeRelease", reflect.TypeOf((*MockHelmClientWrapper)(nil).UpgradeRelease), relName, chart, vals)
}
